
<%@ page language="java"  pageEncoding="GB2312" contentType="text/html;charset=GB2312"%>
<%@ include file="/common/taglibs.jsp"%>
<%@ include file="/common/meta.jsp"%>
<script language="javascript" src='<c:url value="/scripts/change_page.js"/>'></script>
<script language="javascript" src='<c:url value="/scripts/common.js"/>'></script>
<Script language="javascript">
<!--
/**
 * form 表单
 * pageNo 翻页页码
 */

function dowork(how, entityid,name,revisable) {
	var form = document.sysuserForm;
	var pageCurrent = '<c:out value="${pageObject.pageCurrent}"/>';
	var pageCount = '<c:out value="${pageObject.pageCount}"/>';
	var mid = getChecked(form);
	switch(how) {
		case 'add' : 
			//window.location.href='<c:url value="/sys/cmsComment/addCMSComment.html"/>';
			form.action = '<c:url value="/sys/sysuser/addSysuser.html"/>';
			form.id.value = "";
			form.method.value = "add" ;
			form.submit();
			break;
		case 'edit' : 
		    if(entityid == "") {
				alert("请选择修改项!");
			} else {
				//window.location.href='<c:url value="/sys/cmsComment/editCMSComment.html"/>?id=' + entityid;
				form.action = '<c:url value="/sys/sysuser/editSysuser.html"/>';
				form.id.value = entityid;
				form.method.value = "edit" ;
			    form.submit();
			    break;
			}
			break;
		case 'del' :
			var ids = getChecks(form);
		    if(ids == "") {
				alert("请选择删除项!");
			} else if(confirm("是否删除所选项?")){
				form.action = '<c:url value="/sys/sysuser/deleteSysuser.html"/>';
				form.method.value="delete";
				form.submit();
			}			
			break;	
		case 'view':
		    if(entityid == "") {
				alert("请选择查看项项!");
			} else {
				//window.location.href='<c:url value="/sys/cmsarticle/editCMSArticle.html"/>?id=' + entityid;
				openWin7('<c:url value="/sys/sysuser/viewSysuser.html"/>?method=view&id=' + entityid);
			    break;
			}
			break;
		case 'search':
			if (form.keyword.value==""){
				alert("请填写检索内容");
				form.keyword.focus() ;
			}else{
				form.action ='<c:url value="/sys/sysuser/findSysuser.html"/>';
				form.method.value="find" ;
				form.submit() ;
			}
			break;
		case 'up' :
		    if(mid == "") {
				alert("请选择上移项!");
			} 
			else if(mid == form.firstId.value && pageCurrent == '1'){
				alert("第一条记录不能上移!");
			}
			else {
				form.action = '<c:url value="/sys/sysuser/upSysuser.html"/>';
				form.method.value = "up";
				form.id.value = mid;
				form.submit();
			}			
			break;
		case 'down' :
		    if(mid == "") {
				alert("请选择下移项!");
			} 
			else if(mid == form.lastId.value && pageCurrent == pageCount){
				alert("最后记录不能下移!");
			}
			else {
				form.action = '<c:url value="/sys/sysuser/downSysuser.html"/>';
				form.method.value = "down";
				form.id.value = mid;
				form.submit();
			}			
			break;
		case 'move' :
			var ids = getChecks(form);
		    if(ids == "") {
				alert("请选择移动项!");
			}
			else {
				form.action = '<c:url value="/sys/sysuser/moveSysuser.html"/>' ;
				form.method.value = "move" ;
				form.submit();
			}
			break;
		case 'setRole' : 
		    if(entityid == "") {
				alert("请选择设置项!");
			} else {
				//window.location.href='<c:url value="/sys/role/setRoleResource.html"/>?method=setRoleResource&id=' + entityid;
				form.action = '<c:url value="/sys/sysuser/searchSysuserRoles.html"/>';
				form.id.value = entityid;
				form.name.value = name ;
				form.revisable.value = revisable ;
				form.method.value = "setSysuserRoles";
			    form.submit();
			    break;
			}
			break;
		case 'setColumn' : 
		    if(entityid == "") {
				alert("请选择设置项!");
			} else {
				//window.location.href='<c:url value="/sys/role/setRoleResource.html"/>?method=setRoleResource&id=' + entityid;
				form.action = '<c:url value="/sys/sysuser/searchSysuserPlates.html"/>';
				form.id.value = entityid;
				form.name.value = name ;
				form.revisable.value = revisable ;
				form.method.value = "setSysuserPlates";
			    form.submit();
			    break;
			}
			break;
	}//end switch
}

//-->
</script>
<html>
<head>
<title>系统用户说明</title>
<link rel="stylesheet" type="text/css" href="../include/style.css">
<META NAME="Author" CONTENT="xunuo">
<META NAME="Keywords" CONTENT="xunuo">
<META NAME="Description" CONTENT="自动生成">
</head>
<body>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td colspan="2" bgcolor="#f6f6f6" align="right" style="cursor:hand" onClick="if(HelpTab.style.display=='none'){HelpTab.style.display='';window.scrollTo(window.pageXOffset,0);}else{HelpTab.style.display='none'}">&nbsp;<img src='<c:url value="/sys/images/why.gif"/>' width="14" height="14"> 
      ::Help::</td>
  </tr>
  <tr Id="HelpTab" style="display:none"> 
    <td width="2%">&nbsp;</td>
    <td width="98%" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td height="10" width="10"></td>
			<td></td>
		</tr>
        <tr>
			<td>·</td>
			<td><b>名词说明：角色绑定</b></td>
        </tr>
        <tr> 
			<td></td>
			<td>添加用户后还需要绑定角色，然后选定您预先设置好的角色，然后按确定即绑定角色成功。<p></td>
        </tr>
        <tr>
			<td>·</td>
			<td><b>名词说明：栏目绑定</b></td>
        </tr>
        <tr> 
			<td></td>
			<td>绑定角色后，如果用户需要上传或者审核文章时功能时，需要绑定栏目。然后选定您预先设置好的录入栏目和审核栏目，然后按确定即绑定栏目成功。<p></td>
        </tr>
        <tr>
			<td>·</td>
			<td><b>功能说明</b></td>
        </tr>
        <tr> 
			<td></td>
			<td>关于删除用户，删除后不可恢复，删除功能需要选择复选框之后才能继续。删除用户可以多选，添加按钮前面的复选框表示全选。<p></td>
        </tr>
        <tr>
			<td>·</td>
			<td><b>注明</b></td>
        </tr>
        <tr> 
			<td></td>
			<td>只有当用户拥有了角色才能登陆成功操作！<br></td>
        </tr>
      </table>
      <a name="Help"></a></td>
  </tr>
</table>
<html:form action="/sys/sysuser/searchSysuser.html">
<html:hidden property="pageCurrent"/>
<html:hidden property = "id" value="" />
<input type="hidden" name="name" value="">
<input type="hidden" name="revisable" value="">
<input type="hidden" name="method" value=""><!--这里需要填写父目录struts如：searchItemsByParent-->
<html:hidden property = "status" />
<input type="hidden" name="firstId" value="<c:out value="${firstId}"/>">
<input type="hidden" name="lastId" value="<c:out value="${lastId}"/>">
<table border="0" cellpadding="4" cellspacing="1" class=table width="100%">
	<tr>
      <th width="615" align="center"  colspan="6">系统用户说明</th>
      <th width="105" align="center" colspan="2">操作</th>
    </tr>
	<tr class="td">
		<td width = "5"></td>
    
      <td align="center" nowrap>用户名</td>
    
      <td align="center" nowrap>真是姓名</td>
    
      <td align="center" nowrap>个人描述</td>

      <td align="center" nowrap>角色绑定</td>

      <td align="center" nowrap>栏目绑定</td>

		<td class="td"  nowrap  align="center">预览</td>
		<td class="td"  nowrap  align="center">编辑</td>
	</tr>
	<c:forEach var="sysuser" items="${sysuserList}">
	<tr class="td">
	<td><c:if test="${sysuser.revisable==1}"><input type="checkbox" id="ids" name="ids" value='<c:out value="${sysuser.id}"/>'></c:if><c:if test="${sysuser.revisable!=1}">&nbsp;</c:if></td>
    
		<td><c:out value="${sysuser.name}"/></td>
    
		<td><c:out value="${sysuser.truename}"/></td>
    
		<td><c:out value="${sysuser.department}"/></td>
<td><c:if test="${sysuser.revisable == 1}"><a href='javascript: dowork("setRole", "<c:out value="${sysuser.id}"/>","<c:out value="${sysuser.name}"/>","<c:out value="${sysuser.revisable}"/>");'>角色绑定</a></c:if><c:if test="${sysuser.revisable!=1}">&nbsp;</c:if></td>
<td><c:if test="${sysuser.revisable == 1}"><a href='javascript: dowork("setColumn", "<c:out value="${sysuser.id}"/>","<c:out value="${sysuser.name}"/>","<c:out value="${sysuser.revisable}"/>");'>栏目绑定</a></c:if><c:if test="${sysuser.revisable!=1}">&nbsp;</c:if></td>

		<td align=center><a href='javascript: dowork("view", "<c:out value="${sysuser.id}"/>");'>预览</a></td>
		<td align=center><c:if test="${sysuser.revisable==1}"><a href='javascript: dowork("edit", "<c:out value="${sysuser.id}"/>");'>编辑</a></c:if><c:if test="${sysuser.revisable!=1}">&nbsp;</c:if></td>
	</tr>
	</c:forEach>
		  <!-- 操作 start -->

		  <!-- 操作 end -->
		  <!-- 分页 start -->
		<td align="right" style="background-color:#eeeeee" colspan="9">
			<script language="javascript">
	            drawDispartPageView("document.sysuserForm", <c:out value="${pageObject.pageCurrent}"/>, <c:out value="${pageObject.pageCount}"/>, <c:out value="${pageObject.rowCount}"/>);
	        </script>
			</td>
          </tr>
		 </table><br>
		  <!-- 分页 end -->
	<table border="0" cellpadding="4" cellspacing="1" class=table width="100%">
		<tr class="td">
            <td colspan="9" style="background-color:#eeeeee">全选<input type="checkbox" name="allcheck" onclick="selectAll(this.form, this.checked);">
            <input type="button" class="button" value="添加" name="add" onclick="dowork('add');" <c:if test="${isGuest}">disabled</c:if>>
			<input type="button" onclick="dowork('del');" value="删除" class=button name=alldell  <c:if test="${isGuest}">disabled</c:if>>

			 输入关键字：<input type="text" name="keyword" value='<c:out value="${keyword}" />' size="10" />
			<select name="columns" style="width:50px">
 
				<option value="name">用户名</option>

			</select>
			<input type="button" name="testb" class="button" value="检索" onclick="dowork('search');" <c:if test="${isGuest}">disabled</c:if>/>
            </td>
		</tr>
	</table>
</html:form>
</body>
</html>

